#ifndef ECHIQUIER_CLASS
#define ECHIQUIER_CLASS
#include <vector>
using namespace std;

/**
  Represente un Echiquier
*/
#include "Position.hpp"
class Echiquier
{
  public:
    Echiquier();
    explicit Echiquier(unsigned n);
    Echiquier(unsigned n, int vinit);
    
    inline int get(unsigned x, unsigned y) const;
    inline int get(const Position& pos) const;
    inline void set(const Position& pos, int val);
    inline unsigned sizeN() const;

    bool contient(const Position& pos) const;
    void reset(int val);

  private:
    unsigned m_dim;
    vector<int> m_vals;

    inline unsigned hashCode(unsigned ix, unsigned iy) const;
};
#include "Echiquier.cpp"
#endif
