#ifndef POSITION_CLASS
#define POSITION_CLASS
#include <iostream>
using namespace std;

/**
  Represente une position (x,y) de Z x Z
*/
class Position
{
  public:
    Position();
    Position(int xx, int yy);

    int getX() const;
    int getY() const;
    void assign(int xx, int yy);

  private:
    int m_x;
    int m_y;
};

// Operations d'entree/sortie
bool lirePosition(istream& is, Position& pos);
void saisirPosition(Position& pos);
bool ecrirePosition(ostream& os, const Position& pos);
void afficherPosition(const Position& pos);

istream& operator>>(istream& is, Position& obj);
ostream& operator<<(ostream& os, const Position& obj);

#include "Position.cpp"
#endif
