#ifndef UTILSLIST_CPP
#define UTILSLIST_CPP
#include <iostream>
#include <list>
using namespace std;

namespace UtilsList {

/**
  Affiche une list<T>
  @param[in] ls - une list<T>
  @param[in] separateur - separateur entre elements
*/
template<typename T>
void afficherList(const list<T>& ls, const string& separateur=" ")
{
  cout<<"(";
  for (typename list<T>::const_iterator it = ls.begin(); it != ls.end(); ++it)
  {
    cout<<*it<<separateur;
  }
  cout<<")"<<endl;
}

}
#endif
